**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/initiate-workflow-task-action.md

# Initiate Workflow Task Action



Initiate an object workflow task action on a specific object record. On SUCCESS, the specified object workflow task action is initiated on the object record.

<Endpoint path="/api/{version}/objects/objectworkflows/tasks/{task_id}/actions/{task_action}" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/json` or `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{task_id}` | The task `id` field value. |
| `{task_action}` | The name of the task action retrieved from [Retrieve Workflow Task Actions](/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-actions). |
</FieldTable>

## Body Parameters {#body-parameters}

Required parameters depend on the action being initiated. Controls marked as `required` in the [Retrieve Workflow Task Action Details](/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details) request must be provided. If a control (such as `verdict`) defines a set of required fields, those must also be provided.

For example, the following request parameters may apply to the `complete` action:

<FieldTable>
| Name | Description |
| --- | --- |
| `verdict` | The verdict name returned in [Retrieve Workflow Task Action Details](/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details). |
| `reason` | The reason name returned in [Retrieve Workflow Task Action Details](/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details). |
</FieldTable>
The `cancel` action doesn't require any parameters.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: application/xml" \
-d "verdict__v=reject__c" \
-d "reason__v=reg_affairs__c" \
https://myvault.veevavault.com/api/v14.0/objects/objectworkflows/tasks/7201/actions/complete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS"
}

```
</CodeExample>

---

**Previous:** [Retrieve Workflow Task Action Details](/clinical/vault-api/api-reference/19.1/object-lifecycle-workflows/workflow-tasks/retrieve-workflow-task-action-details)  
**Next:** [Expected Document Lists](/clinical/vault-api/api-reference/19.1/expected-document-lists)